Package de.gebit.integrity.parameter.conversion

## Class DefaultModularValueConverter

- java.lang.Object
- - de.gebit.integrity.parameter.conversion.AbstractModularValueConverter
  - - de.gebit.integrity.parameter.conversion.DefaultModularValueConverter

- All Implemented Interfaces:
    `ValueConverter`

      public class DefaultModularValueConverter
      extends AbstractModularValueConverter

  Default implementation of a modular value converter. This adds all the standard Integrity-supplied conversions. You may extend this class to add your own conversions, if you desire!
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class de.gebit.integrity.parameter.conversion.AbstractModularValueConverter

      `AbstractModularValueConverter.ConversionKey`

  - ### Field Summary

    - ### Fields inherited from class de.gebit.integrity.parameter.conversion.AbstractModularValueConverter

      `conversionContextProvider, injector, parameterResolver, standardOperationProcessor, variableManager, wrapperFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultModularValueConverter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `initializeConversions()` | Implement this method to initialize known conversions.

    - ### Methods inherited from class de.gebit.integrity.parameter.conversion.AbstractModularValueConverter

      `addConversion, convertEncapsulatedConstantValueToTargetType, convertEncapsulatedValueCollectionToTargetType, convertEncapsulatedValueToTargetType, convertPlainValueToTargetType, convertValue, convertValue, convertValue, convertValueToFormattedString, convertValueToFormattedStringArray, convertValueToString, convertValueToStringArray, convertValueToStringArray, createConversionInstance, determineConversionPriority, filterConversionClass, findAndInstantiateConversion, findConversion, findConversionRecursive, findDerivedConversionRecursive, handleConversionOfStringToByteArray, handleConversionOfStringToByteWrapperArray, handleConversionOfStringValueToByteArray, handleConversionOfStringValueToByteWrapperArray, initializeSearchBlockers, safeguardConversionContext, searchDerivedConversionMap, wrapInCollection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultModularValueConverter

          public DefaultModularValueConverter()

  - ### Method Detail

    - #### initializeConversions

          protected void initializeConversions()

      Description copied from class: `AbstractModularValueConverter`
      Implement this method to initialize known conversions.
      Specified by:
        `initializeConversions` in class `AbstractModularValueConverter`